Trying to install passenger for deployment

So I’m trying to follow this guide: https://www.phusionpassenger.com/library/install/standalone/install/oss/el7/ to install passenger for deployment (I’m following this guide for deployment: https://www.phusionpassenger.com/library/walkthroughs/deploy/ruby/ownserver/nginx/oss/el7/deploy_app.html).

Everytime I try to complete the first step:
$ sudo yum install -y epel-release yum-utils
I get this error:
No match for arguement: epel-release

Soo, after some googling, someone suggested trying:
$ sudo yum search epel-release
to which there are no packages found.

I know the guide I found for installing passenger is for RedHat and Cent OS but everytime I google “fedora install passenger”, results for RedHat and CentOS pop up. I’m not sure how to move forward.

Any suggestions would be appreciated! I’m trying to deploy via Nginx as someone from SO suggested that this is easier than Apache. Also, the app I’m trying to deploy is in Ruby on Rails.

Summary: how do I install passenger on Fedora 30? I can’t even get the first command to install epel-release.

Isn’t there passenger package in the Fedora repository?
dnf search passenger

1 Like

Okay, that succeeded. Thank you so much!!

I’m assuming this command essentially does what this whole guide on “Installing Passenger” pertails?

Sorry, I realized I missed a step in my response.

Upon running dnf search passenger, I got the results:
passenger.x86_64 : Phusion Passenger application server passenger.x86_64 : Phusion Passenger application server passenger-doc.noarch : Phusion Passenger documentation mod_passenger.x86_64 : Apache Module for Phusion Passenger

So then I ran the command
$ sudo dnf install passenger
which succeded.

Just to verify, I ran
$ passenger --version
which returns
Phusion Passenger 6.0.2

Thus, it appears that the installation has been 100% successful!

Thank you @alciregi - you guided me in the right direction.

1 Like

I am not tested it. but omit epel-release if you want avoid conflicts in the system… and jump to step 3

Just tested it and this command results in the package not being found:

sudo yum install -y pygpgme curl

which results in:
attempt_to_install_pygpgme

I am not sure if it needs a python2… Because Fedora drop various python2 modules in F30…

dnf install python3-pygpgme

Tried that, results in:
python3-pygpgme_result

What dnf search pygpgme says?

python-pygpgme has been orphaned for several releases, as pygpgme itself seems to be unmaintained for several years.

For some backstory as to the original failures: EPEL as per the CentOS wiki contains rebuilds of Fedora packages for CentOS/RHEL, which provides a way to get some newer software on said distros. It’s not needed for Fedora because, well, rebuilding Fedora packages for Fedora doesn’t make much sense. :laughing:

Also, it’s recommended to use dnf directly nowadays; yum is just a symlink to dnf anyway.

For tasks like this, you might have a better time starting to do some research into container technologies, e.g. podman/docker, in order to more easily have reproducible environments for this.

2 Likes